<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <link rel="icon" type="image/png" href="./img/favicon.png">
    <link rel="stylesheet" type="text/css" href="./CoLiCo.css">
    <title>CoLiCo</title>
    <style>
  		.image {
   				max-width: 80%;
          margin:5px;
          box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  		}
      li {
          margin-bottom:2em; 
      }
    </style>
  </head>
  <body>
    <div class="banner"> <a href="./index.html"> </a>
      <div class="banner-image" style="background-image:url(./img/banner.svg)"><a
          href="./index.html">
          <div class="banner-text">CoLiCo</div>
        </a> </div>
      <div class="sub-banner"><span class="sub-banner-item"><a href="./comment.html"
            target="_blank">Comment ?</a></span><span class="sub-banner-item"><a
            href="./quoi.html">Quoi ?</a></span></div>
    </div>
    <div>&nbsp; Comment participer ?</div>
    <div>
      <dl>
        <dd>Il suffit d'installer l'extension sur votre navigateur !</dd>
      </dl>
      <p>Avant de commencer nous conseillons d'ouvrir cette page dans une
        fenêtre à part, pour pouvoir suivre les instructions plus facilement.</p>
      <p>Pour l'instant nous ne supportons que les extensions <b><a href="#Firefox">Firefox</a></b>
        et <b style="color: #3333ff;"><a href="#Chrome">Chrome</a></b>.</p>
      <p>Les navigateurs basés sur chromium comme <b>Opera</b>, sont supportés
        de la même manière que <b style="color: #3333ff;"><a href="#Chrome">Chrome</a></b>.</p>
      <dl>
      </dl>
    </div>
    <div style="border-top: 1px solid black">
      <h1 style="text-align: left;"><a name="Firefox" id="Firefox">Firefox</a></h1>
    </div>
    <ol>
      <li>Télechargeons <a href="./webextension/mozilla.xpi" download="">l'extension
ici
          <img src="./img/banner.svg" alt="" style="width: 20px; height: 20px;"></a></li>
      <li>Allons sur la page de gestion des extensions, en tapant, dans la barre
        d'adresse du navigateur,<span style="color: #666666;"> <span style="font-family: sans-serif;">about:addons</span></span>
        <div style="text-align: center;"><img class="image" src="img/firefox-address-bar.png"
            alt=""></div>
      </li>
      <li>Dans le menu configuration, nous choisissons <span style="color: #666666;">
          <span style="font-family: sans-serif;">installer extension depuis un
            fichier</span>:<code></code><span style="font-family: monospace;"></span></span>
        <div style="text-align: center;"><img class="image" src="img/firefox-addons-parameters-drop-menu.png"
            alt=""></div>
      </li>
      <li style="text-align: left;">Dans la fenêtre de dialogue qui s'ouvre,
        allons dans le répertoire où est sauvegardé le fichier mozilla.xpi, et
        clickons sur <span style="font-family: sans-serif; color: #666666;">Ouvrir</span><br>
        <div style="text-align: center;"><img class="image" src="img/firefox-select-add-on-dialog.png"
            alt=""></div>
      </li>
      <li><span style=" font-family: sans-serif;"><span style="font-family: serif;">Un
            pop-up d'installation apparaît : cliquons sur <span style="font-family: sans-serif; color: #666666;">installer</span></span><br>
        </span>
        <div style="text-align: center;"><img class="image" src="img/firefox-install-extension-popup.png"
            alt=""></div>
      </li>
    </ol>
    <p> Et c'est fait ! L'icone <a href="./webextension/mozilla.xpi" download=""><img
          src="./img/banner.svg" alt="" style="width: 20px; height: 20px;"></a>
      doit apparaitre à droite de la barre d'adresse :</p>
    <p style="text-align: center;"><img class="image" src="img/firefox-address-bar-with-extension.png"
        alt=""> </p>
    <p>quand une nouvelle intéressante apparaît, il suffit de cliquer dessus
      pour l'envoyer !</p>
    <p>(Parfois, quand l'écran, est trop étroit, l'extension apparaît dans un
      menu déroulant:</p>
    <p style="text-align: center;"><img class="image" src="img/firefox-fall-down-menu-with-extension.png"
        alt=""></p>
    <p>On peut aussi poster un lien avec un <b>clic droit</b>, <img src="./img/banner.svg"
        alt="" style="width: 20px; height: 20px;">, sur le lien en question:</p>
    <p style="text-align: center;"><img class="image" src="img/firefox-right-click-link.png"
        alt=""> </p>
    <p> </p>
    <ol>
    </ol>
    <ol>
    </ol>
    <div style="border-top: 1px solid black">
      <h1 style="text-align: left;"><a name="Chrome" id="Chrome">Chrome</a></h1>
    </div>
    <ol>
      <li>Téléchargeons&nbsp;<a href="./webextension/chrome.zip" download="">l'extension
ici
          <img src="./img/banner.svg" alt="" style="width: 20px; height: 20px;"></a></li>
      <li>C'est un zip: extrayons le dans un répertoire créé à cet effet<span style="font-family: sans-serif; color: #666666;"></span></li>
      <li>Allons sur la page de gestion des extensions, en tapant, dans la barre
        d'adresse du navigateur, <span style="font-family: sans-serif; color: #666666;">chrome://extensions</span>
        <div style="text-align: center;"><img class="image" src="img/chrome-address-bar.png"
            alt=""></div>
      </li>
      <li>
        <div style="text-align: left;">Si le mode développeur est installé, on
          doit voir, sur la droite, le bouton du mode développeur:
          <div style="text-align: center;"><img class="image" src="img/chrome-developper-mode-switch-off-no-highlight.png"
              alt=""></div>
        </div>
        &nbsp; Si ce n'est pas le cas, on ne pourra pas installer l'extension
        ☹☹☹</li>
      <li>Autorisons le mode développeur:<br>
        <div style="text-align: center;"><img class="image" src="img/chrome-developper-mode-switch-on.png"
            alt=""><br>
        </div>
        Le bouton <span style="font-family: sans-serif; color: #666666;">charger
          l'extension non désempaquetée</span> apparaît</li>
      <li>On clique sur <span style="font-family: sans-serif; color: #666666;">charger
          l'extension désempaquetée<span style="color: black; font-family: serif;">,
            et on sélectionne le répertoire de l'extension</span></span><span style="font-family: sans-serif; color: #666666;"></span><span
          style="font-family: sans-serif; color: #666666;"><span style="color: black; font-family: serif;"></span></span><br>
        <div style="text-align: center;"><img class="image" src="img/chrome-select-folder.png"
            alt=""></div>
      </li>
      <li>Quittons le mode développeur:<br>
        <div style="text-align: center;"><img class="image" src="img/chrome-developper-mode-switch-off.png"
            alt=""></div>
      </li>
      <li>C'est fait ! l'icone <img src="./img/banner.svg" alt="" style="width: 20px; height: 20px;">
        doit apparaître à droite de la barre d'addresse:<br>
        <div style="text-align: center;"><img class="image" src="img/chrome-bar-with-extension.png"
            alt=""><br>
          <div style="text-align: left;"><br>
            Quand une nouvelle intéressante apparaît, il suffit maintenant de
            cliquer dessus pour l'envoyer!<br>
            <br>
            (Parfois, quand l'écran est trop étroit, l'extension apparaît dans
            un menu déroulant, à droite de la barre d'adresse:<br>
            <div style="text-align: center;"><img class="image" src="img/chrome-drop-down-menu-with-extension.png"
                alt=""><br>
            </div>
            )<br>
            On peut aussi envoyer un lien avec un <b>clic droit</b>, <img src="./img/banner.svg"
              alt="" style="width: 20px; height: 20px;">:<br>
            <div style="text-align: center;"><img class="image" src="img/chrome-right-click-link.png"
                alt=""></div>
          </div>
        </div>
      </li>
    </ol>
    <p><br>
    </p>
    <p><br>
    </p>
    <p> </p>
  </body>
</html>
